/* Skipper */
.skipper {
    position: absolute;
    left: -100%;
    z-index: 1;
}

.skipper:focus-visible {
    top: 0.5rem;
    left: 0.5rem;
}

.skip-btn {
    display: inline-flex;
    /* padding: 0.5rem 1.5rem; */
    padding: 0.4rem 1rem;
    align-items: center;
    justify-content: center;
    color: white;
    border: 1px solid transparent;
    border-radius: var(--rounded);
    background: black;
}

/* Header */
.header {
    border-bottom: 1px solid rgba(255, 255, 255, 0.25);
    position: sticky;
    top: 0;
    display: grid;
    gap: 1rem;
    justify-content: space-between;
    padding: 0.75rem;
    margin-bottom: 0.5rem;
    background-color: var(--color-black);
    grid-template-columns: 1fr auto;
}

.header-menu {
    display: none;
    gap: 1rem;
    grid-row: 2;
    grid-column: 1 / -1;
}

.header.open .header-menu {
    display: block;

}

.header-menu-toggle {
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    width: 1.5rem;
}

.header-menu-toggle-bar {
    width: 1.5rem;
    height: 1.5px;
    background: white;
    transition: all 0.3s ease;
}

.header.open .header-menu-toggle-bar:nth-child(1) {
    transform: rotate(45deg) translate(5px, 6px);
}

.header.open .header-menu-toggle-bar:nth-child(2) {
    opacity: 0;
}

.header.open .header-menu-toggle-bar:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -6px);
}